Summary:	OpenCA StateMachine
Name: 		perl-OpenCA-StateMachine
Version: 	0.9.6
Release:	%mkrel 6
License:	LGPL
Group: 		Development/Perl
URL:		http://www.openca.org
Source:		OpenCA-StateMachine-%{version}.tar.bz2
#Requires:	perl-OpenCA-XML-Cache
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module handle the workflow of OpenCA.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-StateMachine-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

# make test fails
#make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/OpenCA/StateMachine.pm

%changelog
* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-6mdk
- don't ship the MANIFEST file

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-5mdk
- rebuild

* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-4mdk
- new tarball, same version

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-3mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-2mdk
- built for cooker

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6
- drop P0, it's included

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4-2mdk
- added P0

* Thu Apr 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4-1mdk
- initial package
